﻿poh-xmxm-qyc (2024-05-30 16:02 GMT+2) - Transcript
Attendees
Colin Walters, Colin Walters's Presentation, Eric Curtin, Hristo Marinov, Jason Brooks, Joseph Marrero Corchado, Liora Milbaum, Micah Abbott, Paul Whalen, Robert Sturla, Timothée Ravier
Transcript
This editable transcript was computer generated and might contain errors. People can also change the text after it was created.
Jason Brooks: yeah, I took an action item to talk to some of my team members about how we do this and other projects like, you can definitely record and then you can take the recording and you can upload it somewhere but if there was a more automated way to do it, but one thing I did a little research into it I need to use a different Google account. we can't do it with our red hat accounts you can stream it to YouTube but not on a red hat account. So I'd have to do a different one and then
Jason Brooks: If we were to upload it, we have to like YouTube or something for people to watch later. We'd have to figure out a place to put it and so on and so forth. but I thought that if the transcription was decent, then would you just put that in the repo. So anyway, I figured we did see how that worked and Gage our options from there. but that was one item from earlier this week to go back and follow up on that.
Colin Walters: Makes sense what but related to I probably should spend the whole time. That's because we could probably debate async but what? Are you other projects do I'm just looking at pod man, for example feels very relevant. It looks like I don't know what instance of cheap so there's a g meat link there, but I don't know which one they use. but obviously Yeah, I don't know there's other stuff actually the past I've used to know Gypsy first off, which is nice.
Colin Walters: the ask if we could do that. I don't know. It's options, right?
Jason Brooks: Yeah, and then pod I'm looking at their YouTube channel. They have a YouTube channel because it's not such a high barrier for someone to have to record and upload but I guess that we might upload to a fedora YouTube space or something like that. I can look into that more. The other thing. I honestly have a question about is that I have from time to time watch back video meetings, but I just find that to be a super inefficient way to try to catch up on something also. That's something that seemed attractive to me about the transcript option and then of course. When we have text-based meetings or like the dark or Os or things like that. we have automatic ways of recording and then conventions around, noting important items that sort of thing so
Colin Walters: Okay makes sense.
Colin Walters: So yeah, okay, but Let's go back to the structure for the agenda. I see that there's tickets tagged meeting right and should we go through it that way. Definitely okay.
Jason Brooks: Yeah, no, that's great. And then we have two items. One of them is should we record the meetings which I sort of got teed up immediately and plant asking people if it's okay, but that's basically my updates on that is I'll look more into what pod man's doing and I'll confirm that if we want to upload to the door channel that we could do that and then I guess I'll just put a couple or you're putting notes in there. That's great. and we'll just take a look and see what the transcript look like was, it was that a helpful piece because that could be an easy option. that's all the updates on that one and let's people have other thoughts on the meeting recording issue
Colin Walters: Okay, anyone have anything else they want to put on this?
Micah Abbott: whatever is the lowest barrier to entry and I'd be my suggestion.
Colin Walters: Yeah, wait, are you? Doing I'm not English.
Micah Abbott: Should be tried my Abbott. Yeah, it should be there two teas. No.
Colin Walters: I'm just Okay, I'll just click we can obviously follow up on this. So now done, right I think the next one was this guy. I will just add on this I guess from my point of view.
00:05:00
Colin Walters: I wanted to link the bootc how we're gonna have to see Milestones. I was overall concerned probably not people know or got that. Food sees interface was not officially Mark stable. it's cool. We got a lot of interest.
Colin Walters: Yeah, so I find this but that's one probably here's what This guy I'll just cross think this yeah.
Colin Walters: so I don't know how to do this in progress other references. So wait.
Colin Walters: I'll just put this there's a bunch of stuff related to that.
Colin Walters: think just so yeah, so we check this. that there's also a big discussion around. The shape of what today? What's the image Builder and what it's interfaces are. the SDK one I think is something we really want to nail down. I was actually really hoping to have someone from the federal here today, but you can attend but I'm not personally totally happy with the shape of that. there's just some arbitrary stuff. And that's one of those ones where it feels like we need to.
Colin Walters: Yeah Miro in on that and I'm really curious about overall feedback. On this I guess I can just tag this one meeting because now I'm talking about Stop talking. And okay. Let me just do a little bit more talking then I'm curious other people think it's basically I think on this one we're gonna need to create a kind of core interface, What is the file formats and commands to take the container image and turn it into it just image? But then there's a one thing that came up is signing. What is the interface for creating sealed images? That one you can sort of drop down to some os3 stuff, but it's not great and I'd like to kind of pay for over that.
Colin Walters: There is another big topic around on the chorus side. It felt like we were really successful in shipping a testing framework. As part of course assembler, but today again, assembler is only used by Coss. They can change at will and sort of has sometimes but ushipping a testing framework as well as things were like the podman bootc what is the core experience and what stuff can live outside of it? And I was just thinking we will probably
Colin Walters: end up with tears Yeah, I'll just stop talking. Does this make sense to people as a thing we need to do by foot or 41?
Colin Walters: And people are digesting I guess.
Colin Walters: something that probably makes sense in that tears zero is image optimization slash
Colin Walters: but yeah, the image optimization but it's basically around the basics of flattening container image layers that you don't need. The other line is as Linux labeling in advance There's a bunch of stuff we could fix if that a workflow of build a container. However, you want pass it to a tool which optimizes and enhances things and outputs and other container because today we do stuff client side, so that's something I probably put in this tier one
Colin Walters: I just
Jason Brooks: What might help is that? in the context of this initiative, what is this solve for the different, work groups who are producing the bootc-based, deliverables or what's the I guess in and we've sort of been approaching what are the things that we need in order to collaborate around this? So is it maybe that will make that work easier or the work of other people trying to do their own? variance
00:10:00
Colin Walters: yeah, absolutely. Yes. So the thing that came up from the core website is basically slightly an idea. We literally change course assembler to be from this SDK because that would create a very strong obvious alignment where in the future of course would literally be from the organ C the bird will container side but also the build tooling the ancillary stuff will create a driver for that. But it's interesting because if you take out the use cases, right today core assemblers super tied to admission, but ignition is not currently used around desktops. Right. So if we're creating a flow for how do I test the current atomic desktops? that would have a different shape, But it would be interesting to try and create a shared thing that could be generic for all those use cases.
Colin Walters: That's where my house.
Colin Walters: Yeah, for example the coolest tooling runs qmu just disables all the gooey stuff. Right? Obviously, if you want to test a routine base Linux desktop you obviously want Up to use a good for that. at least you want to support it.
Jason Brooks: That kind of wonder how much work is required for this is this how much would this be to take on or what would be required?
Colin Walters: yeah, so a lot and a nutshell, but the thing is it's stuff that we are already doing just not in a coherent and shared way necessarily. The testing one is by far the biggest topic here. because there's a ton of testing stuff that we include in Fedora, but we don't necessarily think about necessarily maintaining its stability. for just a general challenge in all of this right is
Colin Walters: through and derivatives are generally oriented towards You get the RPMs or you get a starting point like a container? It's all stuff right? it's less around being an SDK and it's really a big total lift to think about. part of our core deliverables is The testing framework right and allow it and enabling people and documenting you're making a custom container image. Here's how you write a test and then us supporting them for a while. Yeah. it's a pretty big lift. That was actually thinking this is in a tier one and this may break.
Colin Walters: for example we're not making in that tier while we're not making any long-term commitments, right?
Colin Walters: but that tier zero I think we want to nail down and kind of support for a while. That's kind of where might be a zombies.
Colin Walters: I don't know. Does this make sense to folks?
Colin Walters: someone
Colin Walters: yeah.
Colin Walters: Thank I wish it. All right, I'll just comment on this. We don't need to do all this. I just want to bring it up because
Colin Walters: It's a pretty important component of the experience we produce and We'll be a develop Focus.
Colin Walters: Okay, we can move on from that. If no one has anything else.
Jason Brooks: Yeah, I think that one thing that might help, to digest and sort of understand more what to do with this is just a little more detail. in the issue around how this might go like if there's already some work going on and it's a matter of getting involved or helping or in a weighing in on that then or what might be this is kind of part of the point of this is like different people from different groups getting involved in things that could benefit us, so the more kind of information we get to give people kind of calls to action about how they might take it up the better chance. We'll have move forward I say
00:15:00
Colin Walters: since I'm kind of hopeful if we decide to take that step of just rebranding routine which Builder as it is today and kind of making it deliverable and putting it alongside. literally goes in Coronado / Fedora / your slash we see. I'll type it out right just around the same page. It should be better now such SDK, or something like that and
Colin Walters: Yeah, that becomes an obvious contribution point.
Colin Walters: Yeah, I mean it's potentially a huge amount of stuff here, I guess I feel like I just circle back to starting with the stable the station of the core interviews support. but yeah, there's the dnf thread just super interesting. There's a lot of work on Docs.
Colin Walters: There's Outreach right and kind of marketing. success is definitely going to be people blogging about That type of stuff, right?
Colin Walters: Okay, so right we have the dnf one as a change request. I think for my side I will just say there's an event of warming work to be had. I see installing a package which adds SC Linux labels on as a layer build doesn't work, right and a lot of people hit that that type of stuff's gonna consume a lot of my time personally. Yeah, basically I can just say I'm Gucci clothing side. trying to just get all that stuff through. I'm curious what other folks have capacity to work on.
Timothée Ravier: On the federal Anatomy this upside things we can probably started looking at compose effects. And so realigning at the base composite of his support with what's currently see that we migrate or existing users to that as a first step Getting closer to Common image. As Colin pointed out signing as a much more complex things. So it's likely that we'll do signing later. But I would say maybe doing compose FS without signing author of 41 could be doable.
Colin Walters: Yeah, that would be good to add to the structure. There's some tech to clean up there. The number one thing unfortunately. So bootc images use static web configs, and basically what we ran into you is scrub to make config with Dynamic configs us injected by Anaconda blows up with overlay effects. We don't need to go achieve in this I can comment on the tracker but It'd be awesome to get everything to use static configs.
00:20:00
Colin Walters: Or I'd hesitate to grow up. Maybe we need to do that.
Colin Walters: yeah, I don't do you have the truck is that on the list somewhere timothée's under the Atomic desktop ones
Timothée Ravier: I'm trying to study here as the comment on the 11th one because we haven't written any enhancement any direction yet, but we're starting to investigate if we can do that for federal 41 What's the issue with the? group thing and compose interaction Can you expand on that?
Colin Walters: Yeah, wait. Hey, can just share my screen just overall on the same page and stuff like
Colin Walters: did you add something here on the atomic desktop ones? I can just come out here.
Colin Walters: 
Colin Walters: right
Colin Walters: Okay. Okay, So I will put it here. there's I think
Colin Walters: there's a really good try. I'm just going to do this issue. First, let's see. If no one's ever done this the global GitHub search is really really nice. I just searched all of GitHub for every comment made by me that composed of us and Grub and yeah, here it is.
Colin Walters: There's one. Yeah, it's this guy. It's basically.
Colin Walters: Yeah, that's a good Jeep in this but the way grub works by default is it has this thing OS program? which tries to dynamically probe every block device to find operating systems on it if you're not using a static growth config, if you're just using package-based foodora today by default when you type dnf update and it finds a new kernel, it'll look at any USB sticks that you have plugged in does this look like a V EOS install? I'm gonna set it up. Does this look like can you heard? Yes, so that's what always program does and it synthesizes Butler entries from all those which is frankly insane and broken, but that's what the ship by default. and that's Implement through this
Colin Walters: Get a scrubbed you making fake tries to scan your root file system in figure out dynamically what the bootloader arguments should be. Basically it dies with composer Fest because it doesn't understand how to find the backing block device. behind that overlay so that's something we'll probably going to handle in general. yes, I comment elsewhere in that issue, but
Colin Walters: Yeah. it shouldn't be a hard part for growth but yeah, it's currently specific to the atomic desktops that use anacondas default and not put
Colin Walters: There's other stuff related to this too. Right is in the current bootc image we've changed. Ops to be a directory and not assembly can Devar opt. Because they expected entry point of the system as you derive your container image and so you can install stuff in your container build and not per client, right? And that type of little detail becomes something that's kind of important. what is the expected entry point the composer Fest helps enable that paper stuff so
Colin Walters: it's just another detail to keep track of as far as other base images and
00:25:00
Jason Brooks: So yeah,…
Colin Walters: 
Jason Brooks: I'm just thinking about the best way to proceed with these things I think do we want to make a list of the items that seem to cross over the different kind of work groups and just sort of
Jason Brooks: Identifies priority, what to focus on first. We got a lot of different directions. I keep thinking about this integrate with Fedora I part two and about kind of fleshing out what specifically does that entail, because that seems like a pretty clear one that will make multiple groups lives easier. That's one. I don't know If you have thoughts on that, maybe I can follow up with you and we could just flesh that out a little bit the issue one, because what specifically would go into that, but that's one of them and then I guess we have a couple
Jason Brooks: go ahead.
Timothée Ravier: Who issue one in which one in somewhere? Sorry.
Jason Brooks: We'll our tracker here. Just integrate with RCA.
Timothée Ravier: it's picked up again.
Jason Brooks: But as far as putting some specific items, but that I can follow up with somebody after maybe I can start with you and we can try to Fletcher that a little bit.
Jason Brooks: Butler
Liora Milbaum: Yes, could you I have a hard stop every another meeting in one minute. Would you mind adding me to the loop because I have some thoughts there on this topic of cicd. And I also want to suggest another one quick one is to move the bootc namespace with all the things are in the Fedora namespace. There is another name space for the six. So I know that it's yet another moving of a namespace but I think it would make sense for us to play nice with all and with how the other things are. Just a suggestions here. There is
Jason Brooks: is that like lab namespace or acquainted space or a
Liora Milbaum: if I don't it's a github.com/fedoras slash sings. You can find it there. I think. That's the name of name says and underneath that there is a namespace for each Sig.
Jason Brooks: Okay, and then I can ask what the rules are on that too. this is an initiative and this initiative is intended to go away after a year or two. So it's sort of meant to do the work and go but I'll talk to Matthew Miller. I know that he's very particular about taxonomy and classification of things.
Liora Milbaum: Okay, just suggestion here.
Jason Brooks: Yeah, I know but that whatever makes it smoother for everybody.
Liora Milbaum: Okay, so bye-bye and thank you.
Jason Brooks: Thank All we're at time right now. Why don't we just continue any further chat in the bootc room and on Matrix and reconvene on Tuesday?
Jason Brooks: All right. Thank you everybody.
Meeting ended after 00:28:39 👋
